Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals

# uIP configuration functions
[The uIP TCP/IP stack]

## Detailed Description

The uIP configuration functions are used for setting run-time parameters in uIP such as IP addresses.

## Defines
#define | uip_sethostaddr(addr)
| Set the IP address of this host.
#define | uip_gethostaddr(addr)
| Get the IP address of this host.
#define | uip_setdraddr(addr)
| Set the default router's IP address.
#define | uip_setnetmask(addr)
| Set the netmask.
#define | uip_getdraddr(addr)
| Get the default router's IP address.
#define | uip_getnetmask(addr)
| Get the netmask.
#define | uip_setethaddr(eaddr)
| Specifiy the Ethernet MAC address.

## Define Documentation

#define uip_getdraddr | ( | addr |  | ) |

  | Get the default router's IP address. Parameters:
  addr | A pointer to a 4-byte array that will be filled in with the IP address of the default router.

#define uip_gethostaddr | ( | addr |  | ) |

  | Get the IP address of this host. The IP address is represented as a 4-byte array where the first octet of the IP address is put in the first member of the 4-byte array. Parameters:
  addr | A pointer to a 4-byte array that will be filled in with the currently configured IP address.

#define uip_getnetmask | ( | addr |  | ) |

  | Get the netmask. Parameters:
  addr | A pointer to a 4-byte array that will be filled in with the value of the netmask.

#define uip_setdraddr | ( | addr |  | ) |

  | Set the default router's IP address. Parameters:
  addr | A pointer to a 4-byte array containing the IP address of the default router.

#define uip_setethaddr | ( | eaddr |  | ) |

  | Specifiy the Ethernet MAC address. The ARP code needs to know the MAC address of the Ethernet card in order to be able to respond to ARP queries and to generate working Ethernet headers. Note: This macro only specifies the Ethernet MAC address to the ARP code. It cannot be used to change the MAC address of the Ethernet card. Parameters:
  eaddr | A pointer to a struct uip_eth_addr containing the Ethernet MAC address of the Ethernet card.

#define uip_sethostaddr | ( | addr |  | ) |

  | Set the IP address of this host. The IP address is represented as a 4-byte array where the first octet of the IP address is put in the first member of the 4-byte array. Parameters:
  addr | A pointer to a 4-byte representation of the IP address.

#define uip_setnetmask | ( | addr |  | ) |

  | Set the netmask. Parameters:
  addr | A pointer to a 4-byte array containing the IP address of the netmask.